0

My machine is running Archlinux and and I am new in drush and omega theme. I have installed drush and then run bundle install to install the dependencies of my subtheme. When I run drush omega-guard, I get some errors which says the file to import not found or unreadable, while I have installed those gems too.

[timmy@MyPC drupal-7.31]$ drush omega-guard
Which theme do you want to run Guard for?
 [0]  :  Cancel                                                                                                                            
 [1]  :  First (Subtheme of Omega) - My first theme.                                                                                      
 [2]  :  Ohm (Subtheme of Omega) - Omega based demonstration theme. Serves as a best-practice reference for the Omega documentation. Ohm  
         will be constantly updated as best practice evolves so shouldnt be used in production.                                          
 [3]  :  Omega - A powerful HTML5 base theme framework utilizing tools like Sass, Compass, Grunt, Bower, Ruby Version Manager, Bundler and
         more.
1
/home/timmy/.gem/ruby/2.1.0/gems/bundler-1.7.2/lib/bundler/runtime.rb:222: warning: Insecure world writable dir /home/timmy in PATH, mode 040777
/home/timmy/.gem/ruby/2.1.0/gems/bundler-1.7.2/lib/bundler/runtime.rb:222: warning: Insecure world writable dir /home/timmy in PATH, mode 040777
/home/timmy/.gem/ruby/2.1.0/gems/bundler-1.7.2/lib/bundler/runtime.rb:222: warning: Insecure world writable dir /home/timmy in PATH, mode 040777
    error sass/first.no-query.scss (Line 3 of sass/first.styles.scss: File to import not found or unreadable: breakpoint.
Load paths:
  /srv/http/drupal-7.31/sites/all/themes/first/sass
  Compass::SpriteImporter
  /srv/http/drupal-7.31/sites/all/themes/first/sass
  /usr/lib/ruby/gems/2.1.0/gems/compass-core-1.0.1/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/susy-2.1.3/sass
  /usr/lib/ruby/gems/2.1.0/gems/compass-normalize-1.5/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/compass-rgbapng-0.2.1/lib/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/toolkit-2.6.0/stylesheets
  Sass::Globbing::Importer)
    error sass/first.normalize.scss (Line 8: File to import not found or unreadable: toolkit/border-box.
Load paths:
  /srv/http/drupal-7.31/sites/all/themes/first/sass
  Compass::SpriteImporter
  /srv/http/drupal-7.31/sites/all/themes/first/sass
  /usr/lib/ruby/gems/2.1.0/gems/compass-core-1.0.1/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/susy-2.1.3/sass
  /usr/lib/ruby/gems/2.1.0/gems/compass-normalize-1.5/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/compass-rgbapng-0.2.1/lib/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/toolkit-2.6.0/stylesheets
  Sass::Globbing::Importer)
    error sass/first.styles.scss (Line 3: File to import not found or unreadable: breakpoint.
Load paths:
  /srv/http/drupal-7.31/sites/all/themes/first/sass
  Compass::SpriteImporter
  /srv/http/drupal-7.31/sites/all/themes/first/sass
  /usr/lib/ruby/gems/2.1.0/gems/compass-core-1.0.1/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/susy-2.1.3/sass
  /usr/lib/ruby/gems/2.1.0/gems/compass-normalize-1.5/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/compass-rgbapng-0.2.1/lib/stylesheets
  /usr/lib/ruby/gems/2.1.0/gems/toolkit-2.6.0/stylesheets
  Sass::Globbing::Importer)
Compilation failed in 3 files.

07:11:22 - INFO - Guard::Compass is waiting to compile your stylesheets.
07:11:22 - INFO - LiveReload is waiting for a browser to connect.
07:11:22 - INFO - Guard is now watching at '/srv/http/drupal-7.31/sites/all/themes/first'
[1] guard(main)> help
1

Found the answer. here is the solution: https://www.drupal.org/node/2323235#comment-9069731

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.